Skip to main content
GET
/
transactions
List all transactions
curl --request GET \
  --url https://web.subly.app/api/v1/transactions \
  --header 'x-api-key: <api-key>'
import requests

url = "https://web.subly.app/api/v1/transactions"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://web.subly.app/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sub_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "revenue_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "amount": 123,
    "currency_code": "<string>",
    "date": "2023-11-07T05:31:56Z",
    "category": "<string>",
    "tags": [
      123
    ],
    "website": "<string>",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]
{
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

Your private API key for authentication. This key identifies your workspace for all requests.

Query Parameters

type
enum<string>

Filter by transaction type.

Available options:
expense,
revenue
sub_id
string<uuid>

Filter transactions linked to a specific expense (subscription) ID.

revenue_item_id
string<uuid>

Filter transactions linked to a specific revenue item ID.

Response

A list of transactions.

id
string<uuid>
read-only

Unique identifier for the transaction.

sub_id
string<uuid> | null

ID of the linked expense, if applicable.

revenue_item_id
string<uuid> | null

ID of the linked revenue item, if applicable.

name
string

A descriptive name for the transaction.

amount
number<float>

The value of the transaction.

currency_code
string

The ISO 4217 currency code for the transaction amount.

date
string<date-time>

The date and time the transaction occurred.

type
enum<string>

The type of transaction.

Available options:
expense,
revenue
category
string

Organizational category for the transaction.

tags
integer[]

Array of tag IDs.

website
string<uri>

Associated website, if any.

workspace_id
string<uuid>
read-only

Identifier of the workspace this transaction belongs to.

project_id
string<uuid>

Identifier of the project this transaction is assigned to.